export declare type StartEvent = {
    readonly type: 'start';
    readonly scope: string;
};
export declare type EndEvent = {
    readonly type: 'end';
    readonly scope: string;
};
export declare type TokenEvent = {
    readonly type: 'token';
    readonly scopes: readonly string[];
    readonly text: string;
};
export declare type LineEvent = {
    readonly type: 'line';
};
export declare type Event = StartEvent | EndEvent | TokenEvent | LineEvent;
export declare const tokenize: (source: string, lang: string) => Promise<Iterable<Event> | null>;
